SNITCH(1)

NAME
snitch - respond to AppleTalk Inter•Poll requests

SYNOPSIS
snitch [ -d <cap-flags> ] [ -n <name> ] [ -t <type> ] [ -f <finderstring> ] [ -l <laserwriterstring> ] [ -Dn ] [ -S ]

DESCRIPTION
snitch is a CAP program designed to run as a daemon to respond to Inter•Poll requests. It performs the same function as the "Responder" program on a Macintosh. It registers itself as "name:type@*" via NBP, where 'name' defaults to the host name (without the domain) and 'type' defaults to "UNIX/CAP". You can override the default NBP name values with the -n and -t options. The response packets that are sent back to Inter•Poll try to have useful information about the machine you are running on and the version of CAP. You can override this information with the -f and -l options.

The kinds of packets that snitch sends back are only meaningful to Inter•Poll, at least for now. Also, the packet format is not documented by Apple, so it currently is an educated guess.

To kill a snitch process cleanly, send the process a QUIT or TERM signal. It will nbp_delete itself (as all nbp services should).

To really make this work with Inter•Poll, you want to modify your copy of Inter•Poll on the Macintosh (with ResEdit or similar program) to add the string "UNIX/CAP" (or your snitchtype) to the STR# resource that specifies the kinds of expected machine types. The first item in that STR# is a number that indicates the number of following valid entries - add one to it and then add "UNIX/CAP" at the end. The string list is STR# "NIP Devices".

OPTIONS

-d <cap-flags>
    specifies standard CAP debugging flags. See cap(3) for a list of valid flag values.

-n <name>
    specifies the NBP entity name to be used when registering snitch on the AppleTalk network. The default value is the UNIX machine host name without the domain qualifiers.

-t <type>
    specifies the NBP entity type to be used when registering snitch on the AppleTalk network. The default value is "UNIX/CAP".

-f <finderstring>
    <finderstring> is a character string that will be passed to Inter•Poll to be displayed as the "Finder" version for the UNIX host. You might use this to specify UNIX and CAP versions, for example. The string must be no more than 100 characters long (actually, Inter•Poll will only display about 60 characters) and enclosed in quotes if it contains embedded blanks or special characters.

-l <laserwriterstring>
    like the -f option, but this string will be displayed by Inter•Poll as the "LaserWriter" driver version.

-Dn Set snitch debugging level to n. Valid values are 1 for basic debugging messages and 2 for additional dumps of user data. Writes to stderr.

-S  Tells snitch to disassociate from the terminal (like starting snitch in the background).

FILES
Uses the cap file "atalk.local", usually in /etc.

SEE ALSO
CAP(8), atis(8), cap(3)

EXAMPLE
snitch -n "myCapMachine" -S

DIAGNOSTICS
Are written to stderr if any debugging switches are on. If you use the "-S" switch, you won't see anything.

BUGS
Only works with Inter•Poll by chance, might not work with future versions.

AUTHOR
Ravinder Chandhok, Carnegie-Mellon University